Bug 44263 - No LVDS on AOpen MP45
Summary: No LVDS on AOpen MP45
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Daniel Vetter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 42991
  Show dependency treegraph
 
Reported: 2011-12-29 03:26 UTC by Vincent
Modified: 2017-07-24 23:03 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
No LVDS on AOpen MP45 patch (737 bytes, patch)
2011-12-29 03:26 UTC, Vincent
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent 2011-12-29 03:26:52 UTC
Created attachment 54935 [details] [review]
No LVDS on AOpen MP45 patch

Dear All

There is no lvds present on AOpen MP45 but kernel (as of 3.1.6) reports wrongly one.

Is it possible to apply submitted patch ?

Thanks

Regards

Vincent
Comment 1 Chris Wilson 2012-02-08 07:01:28 UTC
The more we keep quirking, the less AOpen are going to fix their BIOS...

#Cc: stable@kernel.org
Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=44263
Acked-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 2 Florian Mickler 2012-02-19 03:19:55 UTC
A patch referencing this bug report has been merged in Linux v3.3-rc4:

commit e57b6886f555ab57f40a01713304e2053efe51ec
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Feb 8 16:42:52 2012 +0100

    drm/i915: no lvds quirk for AOpen MP45
Comment 3 Chris Wilson 2012-02-24 07:00:18 UTC
commit e57b6886f555ab57f40a01713304e2053efe51ec
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Feb 8 16:42:52 2012 +0100

    drm/i915: no lvds quirk for AOpen MP45
    
    According to a bug report, it doesn't have one.
    
    Cc: stable@kernel.org
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=44263
    Acked-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    
    Signed-off-by: Keith Packard <keithp@keithp.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.